<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>스마트팩토리과제관리시스템</title>

    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" />

    <!-- Wijmo styles -->
    <link href="../assets/plugin/wijmo/wijmo.min.css" rel="stylesheet"/>
    
    <!-- css -->
    <link rel="stylesheet" href="../assets/css/jquery-ui.min.css" />
    <link rel="stylesheet" href="../assets/css/common.css" />
    <link rel="stylesheet" href="../assets/css/style.css" />
</head>

<body>
    
    <div class="sf-container" id="contents">
        <div class="sf-content-wrap" style="margin-top: 0;">

            <div class="section-content">

                <h2 class="mb-30">Component Guide</h2>

                <section class="mb-30">
                    <h3 class="mb-10">Basic Chips</h3>
                    <ul class="chips">
                        <li>
                            <span>SF.SF시너지팀</span>
                        </li>
                        <li>
                            <span>SF.SF시너지팀</span>
                        </li>
                        <li>
                            <span>SF.SF시너지팀</span>
                        </li>
                    </ul>
                </section>


                <section class="mb-30">
                    <h3 class="mb-10">Action chips</h3>
                    <div class="action-chip-wrap">
                        <div id="chip1" class="action-chip">
                            김엔솔

                            <a href="#">User Info</a>
                            <a href="#">Email 전송</a>
                            <a href="#">SMS 전송</a>
                        </div>
                        <div id="chip2" class="action-chip">
                            김엔솔
                            <a href="#">User Info</a>
                            <a href="#">Email 전송</a>
                            <a href="#">SMS 전송</a>
                        </div>
                        <div class="chips">
                            <a class="more-chips">...</a>
                            <div class="action-chip-wrap popover" id="pop-chips">
                                <div id="chip3" class="action-chip">
                                    조형석
                                    <a href="#">User Info</a>
                                    <a href="#">Email 전송</a>
                                    <a href="#">SMS 전송</a>
                                </div>
                                <div id="chip4" class="action-chip">
                                    고영국
                                    <a href="#">User Info</a>
                                    <a href="#">Email 전송</a>
                                    <a href="#">SMS 전송</a>
                                </div>
                                <div id="chip5" class="action-chip">
                                    최현우
                                    <a href="#">User Info</a>
                                    <a href="#">Email 전송</a>
                                    <a href="#">SMS 전송</a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="action-chip-wrap no-action d-inline-block mt-1">
                        <div id="chip6" class="action-chip with-del">
                            김엔솔
                            <a href="#" class="user-list">
                                <span class="photo"><img src="../assets/img/tmp_photo.png" alt=""></span>
                                <span>
                                    <span>손오공</span>
                                    <span>abc@naver.custom-radio</span>
                                </span>
                            </a>
                            <a href="#" class="user-list">
                                <span class="photo"><img src="../assets/img/tmp_photo.png" alt=""></span>
                                <span>
                                    <span>손오공</span>
                                    <span>abc@naver.custom-radio</span>
                                </span>
                            </a>
                            <a href="#" class="user-list">
                                <button><i class="icon icon-search-submit"></i></button>
                                <span>
                                    디렉토리 검색
                                </span>
                            </a>
                        </div>
                        <div id="chip7" class="action-chip with-del">
                            김엔솔
                            <a href="#" class="user-list">
                                <span class="photo"><img src="../assets/img/tmp_photo.png" alt=""></span>
                                <span>
                                    <span>손오공</span>
                                    <span>abc@naver.custom-radio</span>
                                </span>
                            </a>
                            <a href="#" class="user-list">
                                <span class="photo"><img src="../assets/img/tmp_photo.png" alt=""></span>
                                <span>
                                    <span>손오공</span>
                                    <span>abc@naver.custom-radio</span>
                                </span>
                            </a>
                            <a href="#" class="user-list">
                                <button><i class="icon icon-search-submit"></i></button>
                                <span>
                                    디렉토리 검색
                                </span>
                            </a>
                        </div>
                    </div>
                    <!-- 230725 -->
                    <div class="action-chip-wrap no-action">
                        <div id="chip8" class="action-chip with-del no-photo">
                            김엔솔

                            <a href="#">User Info</a>
                            <a href="#">Email 전송</a>
                            <a href="#">SMS 전송</a>
                        </div>
                        <div id="chip9" class="action-chip with-del no-photo">
                            김엔솔
                            <a href="#">User Info</a>
                            <a href="#">Email 전송</a>
                            <a href="#">SMS 전송</a>
                        </div>
                        
                    </div>
                </section>

                <section class="mb-30">
                    <h3 class="mb-10">신호등 Help tooltip</h3>
                    
                    <button class="p-1" id="btn-info">
                        <i class="icon icon-help-sm"></i>
                    </button>
                    <div id="pop-status" class="popover status">
                        <div class="popover-content">
                            <ul>
                                <li>
                                    <span class="circle-status confirmed"></span>
                                    <span>녹색 : 과제가 모두 진행중</span><!-- 230612 -->
                                </li>
                                <li>
                                    <span class="circle-status warning"></span>
                                    <span>황색 : 하나 이상의 과제가 지연주의</span><!-- 230612 -->
                                </li>
                                <li>
                                    <span class="circle-status error"></span>
                                    <span>적색 : 하나 이상의 과제가 지연중</span><!-- 230612 -->
                                </li>
                            </ul>
                        </div>
                    </div>
                </section>

                <section class="mb-30">
                    <h3 class="mb-10">버튼 그룹</h3>
                    
                    <div class="btn-group btn-group-sm mt-0" role="group">
                        <input type="checkbox" class="btn-check" id="btncheck1" autocomplete="off">
                        <label class="btn btn-outline-primary" for="btncheck1">ALL</label>
                    
                        <input type="checkbox" class="btn-check" id="btncheck2" autocomplete="off">
                        <label class="btn btn-outline-primary" for="btncheck2">생산운영</label>
                    
                        <input type="checkbox" class="btn-check" id="btncheck3" autocomplete="off">
                        <label class="btn btn-outline-primary" for="btncheck3">자재물류</label>

                        <input type="checkbox" class="btn-check" id="btncheck4" autocomplete="off">
                        <label class="btn btn-outline-primary" for="btncheck4">환경안전</label>
                    
                        <input type="checkbox" class="btn-check" id="btncheck5" autocomplete="off">
                        <label class="btn btn-outline-primary" for="btncheck5">공정설비</label>
                    </div>
                </section>

            </div>
        </div>
    </div>


    <!-- jQuery & jQuery UI -->
    <script src="../assets/js/jquery-3.6.0.js"></script>
    <script src="../assets/js/jquery-ui.js"></script>

    <!-- js -->
    <script src="../assets/js/common.js"></script>
    <script src="../assets/js/header.nav.js"></script>

    <!-- Bootstrap -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>

    <!-- Wijmo core -->
    <script src="../assets/plugin/wijmo/wijmo.min.js"></script>
    <script src="../assets/plugin/wijmo/wijmo.input.min.js"></script>
    <script src="../assets/plugin/wijmo/wijmo.nav.min.js"></script>

    <script>


        function createChips() {
            const chips = [];
            const chipCount = 9; // Total number of chips

            function createChip(elementId) {
                const host = document.getElementById(elementId);
                const header = host.firstChild.textContent.trim();
                const items = Array.from(host.querySelectorAll('a')).map(item => item.outerHTML);

                host.innerHTML = '';

                let chipHeader;
                if (host.classList.contains('no-avatar')) {
                    chipHeader = `<span>${header}</span>`;

                    //230725
                } else if (host.classList.contains('with-del')) {
                    if (host.classList.contains('no-photo')) {
                        chipHeader = `<span class="pe-0 ps-3">${header}</span> <button class="btn-del"><i class="icon ico-delete-circle"></i></button>`;
                    } else {
                        chipHeader = `<span class="round avatar grey"></span> <span class="pe-0">${header}</span> <button class="btn-del"><i class="icon ico-delete-circle"></i></button>`;
                    }
                    
                } else {
                    chipHeader = `<span class="round avatar"></span> <span>${header}</span>`;
                }
                
                const chip = new wijmo.input.Menu(host, {
                    header: chipHeader,
                    itemsSource: items,
                });

                return chip;
            }

            for (let i = 1; i <= chipCount; i++) {
                const chipId = `chip${i}`;
                chips.push(createChip(chipId));
            }

            return chips;
        }

        const allChips = createChips();

         //Action Chips ... 툴팁
         let popChips = new wijmo.input.Popup('#pop-chips', {
            owner: document.querySelector('.more-chips'),
            showTrigger: 'Click',
        });

        //신호등 툴팁
        let popStatus = new wijmo.input.Popup('#pop-status', {
                owner: document.getElementById('btn-info'),
                showTrigger: 'Click',
            });

    </script>
</body>
</html>